aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/function/gather.sh
diff options
context:
space:
mode:
authorThomas F Herbert <therbert@redhat.com>2019-05-18 15:12:52 -0400
committerPeter Mikus <pmikus@cisco.com>2019-06-05 07:46:30 +0000
commitea6e8be86d47b288df5e11ca5515f6bda71dbd08 (patch)
tree379d48c7511a519550839f3bc4fff0b018e4cb4d /resources/libraries/bash/function/gather.sh
parent494c42cf77c2571a64854256a68abd7f180cd5d6 (diff)
CSIT changes to support new Centos 7 device testing container image.
CSIT-1505 Parse {os} parameter from job and use it to separate the correct image for each distro and the correct stable package versions. Use two vpp device image names, one for Ubuntu and one for Centos. Centos sut image is in https://hub.docker.com/r/snergster/csit-sut-centos Source for Centos sut image: https://github.com/snergfdio/multivppcache/tree/master/csit-sut-centos Change-Id: I568c82710d730c4ed0ca25bc12cb6074e1cbe27e Signed-off-by: Thomas F Herbert <therbert@redhat.com>
Diffstat (limited to 'resources/libraries/bash/function/gather.sh')
-rw-r--r--resources/libraries/bash/function/gather.sh13
1 files changed, 8 insertions, 5 deletions
diff --git a/resources/libraries/bash/function/gather.sh b/resources/libraries/bash/function/gather.sh
index 518c6b4105..56b148d1e1 100644
--- a/resources/libraries/bash/function/gather.sh
+++ b/resources/libraries/bash/function/gather.sh
@@ -35,6 +35,7 @@ function gather_build () {
# - ${DOWNLOAD_DIR} - Files needed by tests are gathered here.
# Functions called:
# - die - Print to stderr and exit, defined in common.sh
+ # - gather_os - Parse os parameter for OS/distro name.
# - gather_dpdk, gather_vpp, gather_ligato - See their definitions.
# Multiple other side effects are possible,
# see functions called from here for their current description.
@@ -250,14 +251,16 @@ function gather_vpp () {
# - TEST_CODE - The test selection string from environment or argument.
# - DOWNLOAD_DIR - Path to directory pybot takes the build to test from.
# - CSIT_DIR - Path to existing root of local CSIT git repository.
+ # Variables set:
+ # - VPP_VERSION - VPP stable version under test.
# Files read:
# - ${CSIT_DIR}/DPDK_STABLE_VER - DPDK version to use
# by csit-vpp not-timed jobs.
- # - ${CSIT_DIR}/VPP_STABLE_VER_UBUNTU - VPP version to use by those.
- # - ../vpp*.deb - Relative to ${DOWNLOAD_DIR}, copied for vpp-csit jobs.
+ # - ${CSIT_DIR}/VPP_STABLE_VER_UBUNTU - Ubuntu VPP version to usee.
+ # - ../vpp*.deb|rpm - Relative to ${DOWNLOAD_DIR}, copied for vpp-csit jobs.
# Directories updated:
# - ${DOWNLOAD_DIR}, vpp-*.deb files are copied here for vpp-csit jobs.
- # - ./ - Assumed ${DOWNLOAD_DIR}, vpp-*.deb files
+ # - ./ - Assumed ${DOWNLOAD_DIR}, vpp-*.deb|rpm files
# are downloaded here for csit-vpp.
# Functions called:
# - die - Print to stderr and exit, defined in common_functions.sh
@@ -277,7 +280,7 @@ function gather_vpp () {
warn "Downloading latest VPP packages from Packagecloud."
else
warn "Downloading stable VPP packages from Packagecloud."
- VPP_VERSION="$(<"${CSIT_DIR}/VPP_STABLE_VER_UBUNTU_BIONIC")" || {
+ VPP_VERSION="$(<"${CSIT_DIR}/${VPP_VER_FILE}")" || {
die "Read VPP stable version failed."
}
fi
@@ -286,7 +289,7 @@ function gather_vpp () {
;;
"vpp-csit-"*)
# Use locally built packages.
- mv "${DOWNLOAD_DIR}"/../"vpp"*".deb" "${DOWNLOAD_DIR}"/ || {
+ mv "${DOWNLOAD_DIR}"/../"vpp"*".${PKG_SUFFIX}" "${DOWNLOAD_DIR}"/ || {
die "Move command failed."
}
;;